 $.getJSON('assets/data/personnel_select2.php', function(data) {
  // Itérer à travers les données et ajouter chaque option au select2
  $.each(data, function(index, value) {
    $('#S2_personel').append($('<option>', {
      value: value.cin,
      text: value.Name
    }));
  });  

    // Ajouter un événement de clic à l'option
    $('#S2_personel').on('select2:select', function(e) { 
        var value = $(e.currentTarget).val();
        SIM_CHEZ_REVENDEUR(value); 
    });  
	// Initialiser le select2
  // $('#S2_personel').select2({
    // dropdownParent: $('#S2_personel'),
    // minimumResultsForSearch: 1, // Affiche le champ de recherche dès qu'il y a plus d'une option
    // search: true // Active la recherche dans le champ de recherche
  // });
});

var tables = document.getElementById("SIM_PER");
function SIM_CHEZ_REVENDEUR(cin_per) {   
if ($.fn.DataTable.isDataTable(tables)) {
    $('#SIM_PER').DataTable().destroy();
} 
$(tables).DataTable({ "dom": 'rt<"bottom"ip><"clear">',
    "language": {
      "info": "Showing _START_ to _END_ of _TOTAL_ entries"
    },

  ajax: {
    url: "assets/data/stock_sim.php?cin_per="+cin_per, // Chemin du fichier JSON à utiliser
    type: "GET"
  },      responsive: true, // Rendre le tableau responsive  text-align: center 
		  order: [1, 'asc'],
          columns: [  {
          data: 'etat',
          className: 'align-middle text-center', 
          searchable: true
        },{
          data: 'Num',
          className: 'align-middle  text-center',
		  orderable: true,
          searchable: true
        } ],
        columnDefs: [  {
          targets: 0,
          render: function render(data, type, row, meta) { 
           if(row.etat=="activé")
			  return"<span class=\"record-icon green pulse mr-1\"></span>";
		      else
			  return"<span class=\"record-icon red pulse mr-1\"></span> ";
          }}, {
          targets: 1,
          render: function render(data, type, row, meta) { 
           return  row.Num ;
          }}, {
          targets: 2,
          render: function render(data, type, row, meta) {
            return "<a class=\"btn btn-sm btn-icon btn-secondary\" onclick=\"MAJ('".concat(row.Num,"','dell')\"><i class=\"far fa-trash-alt\"></i></a>");
          }
        }
		  ]  ,
    "initComplete": function() {
      this.api().columns().every(function() {
        var column = this;
        if(column.index() === 1) {
         
          $('#myzonederecherche').on('keyup change', function() {
            if (column.search() !== this.value) {
              column.search(this.value).draw();
            }
          });
        }
      });
    }
  });
} 

var SDT_table = document.getElementById("mySIM");
function LISTE_SIM() {   
if ($.fn.DataTable.isDataTable(SDT_table)) {
    $('#mySIM').DataTable().destroy();
} 
$(SDT_table).DataTable({ "dom": 'rt<"bottom"ip><"clear">',
    "language": {
      "info": "Showing _START_ to _END_ of _TOTAL_ entries"
    },

  ajax: {
    url: "assets/data/stock_sim.php?mystock=ok", // Chemin du fichier JSON à utiliser
    type: "GET"
  },      responsive: true, // Rendre le tableau responsive  text-align: center 
		  order: [1, 'asc'],
          columns: [  {
          data: 'etat',
          className: 'align-middle text-center', 
          searchable: true
        },{
          data: 'Num',
          className: 'align-middle  text-center',
		  orderable: true,
          searchable: true
        } ],
        columnDefs: [  {
          targets: 0,
          render: function render(data, type, row, meta) { 
           if(row.etat=="activé")
			  return"<span class=\"record-icon green pulse mr-1\"></span>";
		      else
			  return"<span class=\"record-icon red pulse mr-1\"></span> ";
          }}, {
          targets: 1,
          render: function render(data, type, row, meta) { 
           return  row.Num ;
          }}, {
          targets: 2,
          render: function render(data, type, row, meta) {
            return "<a class=\"btn btn-sm btn-icon btn-secondary\" onclick=\"MAJ('".concat(row.Num,"','add')\"><i class=\"fa fa-plus\"></i></a>");
          }
        }
		  ]  ,
    "initComplete": function() {
      this.api().columns().every(function() {
        var column = this;
        if(column.index() === 1) {
         
          $('#table-search').on('keyup change', function() {
            if (column.search() !== this.value) {
              column.search(this.value).draw();
            }
          });
        }
      });
    }
  });
} 
LISTE_SIM();

function MAJ(num_sim,etat){
 var CIN_VENDEUR = document.getElementById('S2_personel').value;
 
 if((CIN_VENDEUR!="0")&&(CIN_VENDEUR!="")){
	 var xhttp = new XMLHttpRequest();
   xhttp.onreadystatechange = function() {  
     if (this.readyState == 4 && this.status == 200) { 
			 if(this.responseText.trim()==="success") {
               alert_success(); 
			   // Récupérer le numéro de la page actuelle
			var currentPage = $('#mySIM').DataTable().page(); 
			// Recharger les données de la table avec Ajax
			$('#mySIM').DataTable().ajax.reload(function() {
				// Après le rechargement des données, rétablir la page actuelle
				$('#mySIM').DataTable().page(currentPage).draw(false);
			}); 
	        var currentPage1 = $('#SIM_PER').DataTable().page(); 
			// Recharger les données de la table avec Ajax
			$('#SIM_PER').DataTable().ajax.reload(function() {
				// Après le rechargement des données, rétablir la page actuelle
				$('#SIM_PER').DataTable().page(currentPage1).draw(false);
			});		  
			 }else
			  alert_msg("Vous ne pouvez pas ajouter le SIM :"+num_sim,"warning");
	}
	 
  };   
  xhttp.open("POST", "assets/data/MAJ_TRANSFERE.php", true);
  xhttp.setRequestHeader("Content-type", "application/x-www-form-urlencoded"); 
  xhttp.send("NUM=" + num_sim +"&etat="+etat+"&chez_cin_per="+CIN_VENDEUR);
 }else
	 alert_msg("SELECTIONNER UN DISTRIBUTEUR","warning");
}
 